Bug 51022 - Segmentation fault on PUT request
Summary: Segmentation fault on PUT request
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_actions (show other bugs)
Version: 2.2.17
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2011-04-05 11:07 UTC by Krisztian VASAS
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments
put error strace output (3.88 KB, text/plain)
2011-04-05 11:12 UTC, Krisztian VASAS
Details
put error gdb backtrace (8.28 KB, text/plain)
2011-04-05 11:15 UTC, Krisztian VASAS
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krisztian VASAS 2011-04-05 11:07:08 UTC
If using PUT method i get a segmentation fault. I added "Script PUT /puthandler.php" to the config. The given puthandler.php does only a basic thing: opens stdin for read and writes out the data to output. I tried even with a simple perl CGI, the result is the same:

[Tue Apr 05 16:43:11 2011] [notice] child pid 12335 exit signal Aborted (6)

The given process' gdb backtrace and strace output is attached.
Comment 1 Krisztian VASAS 2011-04-05 11:12:19 UTC
Created attachment 26855 [details]
put error strace output

This is the strace output, different process but the same error.
Comment 2 Krisztian VASAS 2011-04-05 11:15:52 UTC
Created attachment 26856 [details]
put error gdb backtrace

This is the gdb bt output
Comment 3 Nick Kew 2011-04-05 12:05:48 UTC
Your gdb backtrace shows an orderly abort (and means you compiled with DEBUG defined but without symbolic information - strange).  There should be a message about the failed assertion in your error log.  Immediately preceding messages could also be relevant.
Comment 4 Krisztian VASAS 2011-04-05 12:10:03 UTC
(In reply to comment #3)
> Your gdb backtrace shows an orderly abort (and means you compiled with DEBUG
> defined but without symbolic information - strange).  There should be a message
> about the failed assertion in your error log.  Immediately preceding messages
> could also be relevant.

Yes, you are right. I compiled with DEBUG, but that was also strange for me that the symbols were missing. And yes, i found the message in the errorlog, here it is:

[Tue Apr 05 16:56:41 2011] [crit] [Tue Apr 05 16:56:41 2011] file http_filters.c, line 523, assertion "totalread >= 0" failed

And i forgot to mention that the file i tried was the output of the "cal" command.

If you need more information, just tell me
Comment 5 Krisztian VASAS 2011-04-08 09:10:14 UTC
Is there any news? If you need more info, just tell me what do i have to do for this.
Comment 6 William A. Rowe Jr. 2018-11-07 21:08:08 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.